Issue 70753

Summary: Need file save to default to MSOffice file types when deploying to many users
Product: Installation Reporter: maxmoondog <moondog>
Component: uiAssignee: requirements <requirements>
Status: CLOSED WONT_FIX QA Contact: issues@installation <issues>
Severity: Trivial    
Priority: P3 CC: issues, kpalagin, Mathias_Bauer
Version: OOo 2.0.4Keywords: oooqa
Target Milestone: ---   
Hardware: All   
OS: Windows XP   
Issue Type: FEATURE Latest Confirmation in: ---
Developer Difficulty: ---

Description maxmoondog 2006-10-23 17:56:03 UTC
When rolling out to a large number of users on XP, need the default file save 
options on Writer, Calc and Impress to be automatically set to Microsoft Office 
file types (.doc, .xls and ppt). Need this default to be activated for any 
users with existing profiles as well as new users.
Comment 1 Olaf Felka 2006-10-24 11:52:55 UTC
I think you should ask at dev@openoffice.org or users@openoffice.org so you
might get an answer how  to deploy these settings to all your users.
Comment 2 Mathias_Bauer 2007-01-19 23:12:43 UTC
This will never be part of an official OOo release. But you can achiev this by
changing some configuration files in share/registry after installation so that
every user automatically gets the necessary settings. You can also put these
configuration settings into an OOo extension so that you can easily reinstall
them each time you (re)install OOo.

But as a real "feature": won't fix, even not as an option.
Comment 3 Mathias_Bauer 2007-01-19 23:13:53 UTC
If you wanted to know how to change the configuration, please let me know, I can
add the necessary settings as an attachment to this issue.
Comment 4 kpalagin 2007-01-20 07:24:21 UTC
Mathias,
I am not suggesting this as "default default" so to say.
IMO, installer should _allow to choose_ default saving format for all users on 
machine (the same way .doc, .xls, .ppt _can be_ associated with OO during 
installation).
Any chance?

WBR,
Kirill Palagin.
Comment 5 Mathias_Bauer 2007-01-20 13:53:57 UTC
It looks strange if an application offers its users to use the formats of its
biggest competitor as a default though its own format is an accepted ISO
standard. And if I see how many problems users already have with the dialog to
make OOo the default application for these formats I doubt that it would be a
good idea to add another dialog to our setup.

What is wrong with the idea to install the different behavior as an extension?
This extension can be installed directly after the installation of OOo and it
can be installed for all users or a single user - it's up to the admin to decide.

If you are doing your own builds or packaging you can even incorporate the
extension into the install set as starting with OOo2.2 we offer the necessary
tools for this. 

IMHO overall there are enough means to achieve what you want. 

Besides that it would be a wrong choice. You will get more problems with users
complaining about data or formatting loss than you might get in the beginning
training your users to switch to ODF. But of course it's your decision.
Comment 6 kpalagin 2007-05-06 14:40:38 UTC
*** Issue 43976 has been marked as a duplicate of this issue. ***
Comment 7 ace_dent 2008-05-17 21:09:45 UTC
The Issue you raised has been marked as 'Resolved' and not updated within the
last 1 year+. I am therefore setting this issue to 'Verified' as the first step
towards Closing it. If you feel this is incorrect, please re-open the issue and
add any comments.

Many thanks,
Andrew
 
Cleaning-up and Closing old Issues
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 8 ace_dent 2008-05-17 23:11:49 UTC
As per previous posting: Verified -> Closed.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew